---
- hosts: all
  tasks:
    - name: Register rpm updates on hosts
      yum:
        list: 'updates'
        update_cache: true
      register: yum_result
      retries: 3
      until: yum_result is not failed
    - name: Show results from package manager
      ansible.builtin.debug:
        var: yum_result.results
        # verbosity: 1
    # - name: Reboot
    #   reboot:
    #     reboot_timeout: 3600
    #   when: auto_reboot == "true"

